Zenphoto 多个跨站脚本攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110188 漏洞类型 跨站脚本
发布时间 2006-05-02 更新时间 2006-05-05
CVE编号 CVE-2006-2187 CNNVD-ID CNNVD-200605-054
漏洞平台 PHP CVSS评分 6.8
|漏洞来源
https://www.exploit-db.com/exploits/27795
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200605-054
|漏洞详情
zenphoto1.0.1beta及之前版本存在多个跨站脚本攻击(XSS)漏洞。远程攻击者可以借助(1)i.php中的参数,以及index.php中的(2)album和(3)image参数,注入任意Web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/17779/info

Zenphoto is prone to multiple cross-site scripting vulnerabilities because the application fails to properly sanitize user-supplied input. 

An attacker may leverage these issues to have arbitrary script code executed in the browser of an unsuspecting user in the context of the affected site. This may help the attacker steal cookie-based authentication credentials and launch other attacks.

Zenphoto versions prior to 1.0.3 are vulnerable to this issue.

http://www.example.com/photos/zen/i.php?a=%3Cscript%3Ealert('XSS%20Vulnerable')%3B%3C/script%3E&i=1%2Ejpg&s=thumb
|参考资料

来源:MISC
链接:http://zone14.free.fr/advisories/2/
来源:BID
名称:17779
链接:http://www.securityfocus.com/bid/17779
来源:BUGTRAQ
名称:20060502zenphotoMultiplePathDisclosureandCrossSiteScriptingVulnerabilities
链接:http://www.securityfocus.com/archive/1/archive/1/432718/100/0/threaded
来源:XF
名称:zenphoto-index-i-xss(26219)
链接:http://xforce.iss.net/xforce/xfdb/26219